Skip to navigation

List Pages

Returns a list of pages for a site.

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Query parameters

siteIdstringRequiredformat: "uuid"
The site ID to list pages from.
limitdoubleOptional1-100Defaults to 20
The maximum number of pages to return.
startingAfterstringOptionalformat: "uuid"
The pagination cursor. This is used to indicate what ID to list from.
pathPrefixstringOptionalDefaults to /
The filter that limits pages to only those with a pathname that begins with this value.
sortByenumOptionalDefaults to path
The field to sort pages by.
Allowed values:
sortDirectionenumOptionalDefaults to asc
The sort direction.
Allowed values:
includeOfflineenumOptionalDefaults to false
The flag that determines whether to include offline pages in the results.
Allowed values:
localestringOptional
The locale code to filter pages by.
versionRefenumOptionalDefaults to ref:draft

The version reference to retrieve pages from. Defaults to ref:draft if not provided.

Supported formats:

  • ref:draft - Draft/working version
  • ref:live - Live/published version
Allowed values:

Response

objectenum
Allowed values:
datalist of objects
hasMoreboolean
The flag that indicates whether there are more pages available.

Errors

403
Forbidden Error